# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'ImportLock.created_at'
        db.add_column('results_importlock', 'created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, default=datetime.datetime(2011, 10, 25, 14, 42, 0, 356712), blank=True), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'ImportLock.created_at'
        db.delete_column('results_importlock', 'created_at')


    models = {
        'releases.distro': {
            'Meta': {'ordering': "('i_version', 'release')", 'object_name': 'Distro'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '24'}),
            'i_version': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_latest': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_lts': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'supported_until': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        },
        'results.categorymapping': {
            'Meta': {'unique_together': "[('release', 'incoming_category', 'uf_category')]", 'object_name': 'CategoryMapping'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'incoming_category': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"}),
            'uf_category': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'results.importlock': {
            'Meta': {'object_name': 'ImportLock'},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'locked_by': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'results.skippabletest': {
            'Meta': {'unique_together': "[('release', 'uf_category', 'test')]", 'object_name': 'SkippableTest'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"}),
            'test': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'uf_category': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'results.testmapping': {
            'Meta': {'unique_together': "[('release', 'incoming_test', 'mapped_test')]", 'object_name': 'TestMapping'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'incoming_test': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'mapped_test': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['releases.Distro']"})
        }
    }

    complete_apps = ['results']
