from django.contrib.sitemaps import Sitemap
from system_configs.models import SystemConfig


class SystemConfigSitemap(Sitemap):
    changefreq = 'weekly'

    def items(self):
        return SystemConfig.objects.all()

    def lastmod(self, obj):
        return obj.updated
