# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'ImportRun'
        db.create_table('results_importrun', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('triggered_by', self.gf('django.db.models.fields.CharField')(max_length=24)),
            ('last_run', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
        ))
        db.send_create_signal('results', ['ImportRun'])


    def backwards(self, orm):
        
        # Deleting model 'ImportRun'
        db.delete_table('results_importrun')


    models = {
        'results.importrun': {
            'Meta': {'object_name': 'ImportRun'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_run': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'triggered_by': ('django.db.models.fields.CharField', [], {'max_length': '24'})
        }
    }

    complete_apps = ['results']
